Arch Linux

Please read this before reporting a bug:
https://wiki.archlinux.org/title/Bug_reporting_guidelines

Do NOT report bugs when a package is just outdated, or it is in the AUR. Use the 'flag out of date' link on the package page, or the Mailing List.

REPEAT: Do NOT report bugs for outdated packages!
Tasklist

FS#22424 - [tomcat] Update tomcat from 5.5 to 6.0

Attached to Project: Arch Linux
Opened by Guillaume ALAUX (galaux) - Friday, 14 January 2011, 10:23 GMT
Last edited by Guillaume ALAUX (galaux) - Tuesday, 10 May 2011, 17:12 GMT
Task Type Feature Request
Category Packages: Extra
Status Closed
Assigned To Guillaume ALAUX (galaux)
Architecture All
Severity Medium
Priority Normal
Reported Version
Due in Version Undecided
Due Date Undecided
Percent Complete 100%
Votes 0
Private No

Details

Description:
User servernyc (gmail) flagged extra/tomcat as out-of-date and asked "where is tomcat 6? any reason for 5.5 still?"

I unflagged it as our tomcat package is currently from the 5.5 branch and is up to date on its branch but still his question is relevant. I think it is high time to make the move. Both branches 5.5 [0] and 6 [1] are widely used and considered stable.

(I am currently working on both tomcat 5.5 and tomcat 6.0 packages built from source with dependencies extracted)

So the feature request is "Update tomcat from 5.5 to 6.0". Has anyone got something against it?
If no-one has, how to proceed regarding package names?

- Rename "tomcat" to "tomcat5"? (careful because the 5.0 branch existed [2])
OR
- Rename "tomcat" to "tomcat5.5"?

AND
- Use "tomcat" for 6.0 branch?
OR
- Create "tomcat6" for 6.0 branch?

[0] http://tomcat.apache.org/download-55.cgi
[1] http://tomcat.apache.org/download-60.cgi
[2] http://archive.apache.org/dist/tomcat/tomcat-5/

Additional info:
* package version(s)
- 5.5.31
- 6.0.30
This task depends upon

Closed by  Guillaume ALAUX (galaux)
Tuesday, 10 May 2011, 17:12 GMT
Reason for closing:  Fixed
Additional comments about closing:  Done. By the time I had the tomcat6 package done, tomcat7 went "stable" so this latter is packaged instead of tomcat6.
http://wiki.archlinux.org/index.php/Tomc at
Comment by Eric Belanger (Snowman) - Friday, 14 January 2011, 18:51 GMT
As you are maintaining this package, you should ask this on the dev public ML, where there is more chance to be seen by other devs and users, instead of the bug tracker.
Comment by Guillaume ALAUX (galaux) - Friday, 14 January 2011, 19:45 GMT
Yes I meant to do so in case of too few replies. I'm doing it right away. Thanks.
Comment by Guillaume ALAUX (galaux) - Friday, 15 April 2011, 08:04 GMT
@Andreas: that's a feature request I'm currently working on even though I takes me way too much time I wanted. Should not be long now.

Loading...